package com.bcxin.tenant.open.domains.services;

import com.bcxin.tenant.open.domains.services.commands.CheckStationRailWarningCommand;
import com.bcxin.tenant.open.domains.services.commands.CreateRdSecurityStationRailCommand;
import com.bcxin.tenant.open.domains.services.commands.DeleteRdSecurityStationRailCommand;
import com.bcxin.tenant.open.domains.services.commands.UpdateRdSecurityStationRailCommand;

public interface RdSecurityStationRailService {
    long dispatch(CreateRdSecurityStationRailCommand command);

    void dispatch(UpdateRdSecurityStationRailCommand command);

    void dispatch(DeleteRdSecurityStationRailCommand command);

    void dispatch(CheckStationRailWarningCommand command);
}
